엔드포인트
엔드포인트 설정 수정
PATCH
/
endpoints
/
{endpoint_id}
엔드포인트 설정 수정
curl --request PATCH \
--url https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"container_start_command": "python app.py",
"container_env_vars": [
{
"key": "ENV",
"value": "prod"
}
],
"container_port": 8080,
"container_health_check_path": "/healthz",
"container_health_check_timeout": 30,
"health_check_timeout": 300,
"container_metric_path": "/metrics"
}
'import requests
url = "https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}"
payload = {
"container_start_command": "python app.py",
"container_env_vars": [
{
"key": "ENV",
"value": "prod"
}
],
"container_port": 8080,
"container_health_check_path": "/healthz",
"container_health_check_timeout": 30,
"health_check_timeout": 300,
"container_metric_path": "/metrics"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
container_start_command: 'python app.py',
container_env_vars: [{key: 'ENV', value: 'prod'}],
container_port: 8080,
container_health_check_path: '/healthz',
container_health_check_timeout: 30,
health_check_timeout: 300,
container_metric_path: '/metrics'
})
};
fetch('https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint_id": "<string>",
"name": "<string>",
"is_active": true,
"container_start_command": "<string>",
"container_env_vars": [
{}
],
"container_port": 123,
"container_health_check_path": "<string>",
"container_health_check_timeout": 123,
"health_check_timeout": 123,
"container_metric_path": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}인증
API Key를 Bearer 토큰으로 전달합니다. 프로젝트 개요의 API 키 메뉴에서 생성할 수 있습니다.
경로 매개변수
엔드포인트 고유 ID
본문
application/json
수정할 필드. 모든 필드가 선택사항이지만, 최소 하나는 제공해야 합니다.
컨테이너 시작 명령어
예시:
"python app.py"
컨테이너 환경 변수 목록
Show child attributes
Show child attributes
컨테이너 서비스 포트 (1-65535)
필수 범위:
1 <= x <= 65535예시:
8080
헬스체크 경로
예시:
"/healthz"
컨테이너 헬스체크 타임아웃(초)
필수 범위:
x >= 1예시:
30
전체 헬스체크 타임아웃(초). 이 시간 내에 헬스체크가 통과하지 않으면 배포 실패
필수 범위:
x >= 1예시:
300
Prometheus 메트릭 수집 경로
예시:
"/metrics"
응답
수정된 엔드포인트 설정
엔드포인트 고유 ID
엔드포인트 이름
활성 여부 (수정 성공 시 항상 false)
현재 설정된 시작 명령어
현재 설정된 환경변수
현재 설정된 포트
현재 설정된 헬스체크 경로
현재 설정된 헬스체크 타임아웃
현재 설정된 전체 헬스체크 타임아웃
현재 설정된 메트릭 경로
수정 시간
⌘I
엔드포인트 설정 수정

